WordPress.org

Ready to get started?Download WordPress

Forums

HTML5 jQuery Audio Player
[resolved] Updated Music Player for IE7 & IE8 support (7 posts)

  1. mahlerthetitan
    Member
    Posted 1 year ago #

    I may be wrong, but it looks like you are not making use of the updated version of the player itself, which has been tweaked by its author so that it works in IE8.

    The updated player can be found here:

    http://www.codebasehero.com/2011/07/html5-music-player-updated/

    If you made this quick but powerful update to your plugin, I would gladly give you $25 for the Pro version! :)

    Thanks for your consideration. Keep up the amazing-awesome work.

    http://wordpress.org/plugins/html5-jquery-audio-player/

  2. Maeve Lander
    Member
    Plugin Author

    Posted 1 year ago #

    Hi mahlerthetitan,

    Unfortunately the updated player from codebasehero does not actually work on IE8 and lower. The reason for this is because IE8 and lower does not support the <audio> tag in HTML5, and it cannot play either mp3 or ogg files natively. In other words, to make any HTML5 audio player like this plugin work in these older IE browsers it would have to be done using flash. Does that help make sense of it?

    Maeve

  3. mahlerthetitan
    Member
    Posted 1 year ago #

    Hi Maeve,

    Thanks for your message. I know this plugin keeps you busy, and I'm very appreciative of the time you put into it.

    It's interesting... if I visit the following page in IE8 (using a nearly-new installation of Windows XP on a virtual machine), it totally works, natively:

    http://www.codebasehero.com/files/music-player-1.0.1/demo/

    I was hoping I could avoid bothering you further with this issue by simply taking all of the essential files from Saleem's version 1.0.1 of the player and overwrite them with the v1.0 files in your plugin. But, no such luck.

    If you're saying that your plugin itself won't work in IE8, because it makes use of <audio>, then I'll accept that, and find another player. No hard feelings.
    But that's different than saying that the player itself won't work in IE8.
    Saleem definitely fixed the player to work in IE8.
    I simply wonder if it's fairly easy for you to incorporate this change into your plugin.

    Thanks again for your consideration,
    Chris

  4. Maeve Lander
    Member
    Plugin Author

    Posted 1 year ago #

    Ok double checked it, and it's because Saleem's version also runs FLASH. In fact his runs flash as the primary option (as opposed to the fallback). So basically it's running flash on all browsers which support flash, then falling back to html5 if flash isn't supported (eg for iOS). I could write in the ability to use flash as a fallback, but it's not a quick and easy update and makes the plugin even more heavy... thoughts?

  5. mahlerthetitan
    Member
    Posted 1 year ago #

    Ahhh, I see. My bad. Thanks for your awesome reply, and for taking the time to clear that up for me. (I'm sure there will be others who are wondering this same thing, so hopefully this will be helpful for them to read).

    I guess, the bottom line is: we shouldn't be catering to IE7/IE8. We should be looking forward. It sounds like it'd be a whole lot of work for you to implement, and - as you say - it would make the plugin heavier.

    Thanks very much. It's a fantastic plugin, in a lot of ways.

  6. Maeve Lander
    Member
    Plugin Author

    Posted 1 year ago #

    No worries Chris, it's been good to talk this one out and yeah I think a lot of other people will probably find it helpful.

    The issue of whether we should be supporting IE7/8 is a sticky one. Generally I make an effort to support IE until it's 'end of support lifecycle' period... but as all developers would know, this often leads to huge amount of extra work for the benefit of a very small number of users. In the case of a plugin like this I have to decide where to spend my limited time... I guess I've chosen to go with new features, better functionality, increased stability, and documentation/support, as a priority over IE7/8 support.

    I'm just about to launch a more detailed documentation for this plugin (and my other plugins) so I will be sure to include a page dedicated to explaining the mp3, ogg, flash and browser compatibility issue.

  7. tompettit
    Member
    Posted 10 months ago #

    Hi - just realized this issue as well. I am using the player for a subscription service, so compatibility is very important to me. I understand that a flash fallback would be very helpful. I did not think it would be an issue, but now that our subscription service is live, I am finding out that there are still a lot of people using IE7/8 - up to 30% from some of the industry numbers I am seeing. I thought it was a much smaller number at this point. I suppose for some audiences, the number may be insignificant, but for others is could be important. I would be more than willing to pay even more for certain functionality like the flash fallback and some different skins (we had to create our own that was more usable on an iphone). So if there are more people with the requirements that I have, you may be able to make enough for it to be worth your time - otherwise I will be forced to pay a developer to add that functionality since I really can't find a better plugin for everything else than what you have created here.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.